Subject: Re: [Teas] New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

From: "Wubo (lana)" <[email-masked]>
Date: Thu, 15 Jul 2021 11:13:44 +0000

Hi Kenichi,
Thank you for the review and comments. Please see inline for question 3.

Thanks,
Bo

-----邮件原件-----
发件人: Teas [mailto:[email-masked]] 代表 Ogaki, Kenichi
发送时间: 2021年7月12日 15:03
收件人: [email-masked]
主题: Re: [Teas] New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

Hi Authors and All,

We have some questions how to proceed this work.

1. How should we create a new solution where the solution is similar to an existing solution?
 As Dhruv, co-author of both drafts, should know well, the many functionalities of this nbi are same as those of actn-vn-yang. As described in B.1, we agree that actn-vn-yang is only focusing on ACTN and this nbi is technology agnostic.
However, draft-ietf-teas-ietf-network-slices definitely addresses the applicability of ACTN. So, this nbi should at least import actn-vn-yang and refer the nodes defined in actn-vn-yang?
I'm not sure how to create a new solution for such a case.

2. Solution comparison is non-sense before the completion of framework.
 Appendix. B compares this nbi with the other existing work. However, the criteria of the comparison is unclear since the framework, requirement/architecture, is not completed.
If we can say anything with no criteria, the current actn-vn-yang defines VN compute functionality and this nbi doesn't have. Although the framework draft may not explicitly require this, the other SDOs developing their own slicing technologies require/define this functionality as the feasibility check, and also expect to the other SDOs, e.g. 3GPP TS 28.531 5.1.6, 5.1.21 and NFV IFA 013 7.3.3.

3. Others
sec. 6.3.
We cannot understand NSE examples in 6.3. As discussed on "[Teas] network Slice Endpoint in draft-ietf-teas-ietf-network-slice-definition-00" thread, we wonder if it seems to reach the rough consensus that the demarcation point of a slice between customer and provider is the boundary of CE-PE, i.e. AC.
If correct, why Figure 4's NSE is PE and Figure 5's NSE is CE?
Someone said NSE must be controllable from NSC in the sense of SLO/SLE. So, is this CE controllable from NSC?
3GPP TS 28.541 6.3.17 EP_Transport is referred in 6.3, but our understanding is different. EP_Transport was introduced with the discussion paper, "S5-203253 TD proposal to add transport endpoint in NRM.doc", and this paper describes Cell Site Router and Border Router as the transport network edge, i.e. PE, and, Application endpoint and logical transport interface as the RAN/CN slice subnet endpoint which means CE's interface.
In this case, NSC cannot control this CE in the context of the following description in sec. 6, for example.
 "The "ns-endpoint" is an abstract entity that represents a set of matching rules applied to an IETF network edge device"
[Bo] I agree the mapping may lead to some confusion. We will update the draft to reflect that CE information is only used by the NSC to locate PE and corresponding AC.

When we refer the other SDO's document, the interworking between SDOs may fail if we don't understand correct.

sec. 6.
The usage of "ns-tag" is unclear.
[Bo] "ns-tags" are tags related to customer identity or other service information for the purpose of service activation or monitoring operations.
We will add more text to clarify it.

All the best,
Kenichi

-----Original Message-----
From: Teas <[email-masked]> On Behalf Of [email-masked]
Sent: Friday, July 9, 2021 9:06 PM
To: Wubo (lana) <[email-masked]>; [email-masked]
Cc: [email-masked]
Subject: Re: [Teas] New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

Hi Bo, all,

Thank you for sharing this updated version. 

I'm supportive of this work, but I think we have a fundamental point to clarify: the document is currently missing data nodes that makes a slice, a slice! 

If we don't have such data nodes, the current module can be used to provision any form of connectivity. If we omit the "ns-" prefix, the module can be used for provisioning the connectivity of VoIP, multicast, etc. services. That’s actually good (as the applicability scope is wider) but we need also to think about network slice specifics.  

I have touched on some of these points in a review I shared with you back in 02/21, but unless I'm mistaken I don't think it was addressed:
https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-wd-teas-ietf-network-slice-nbi-yang-02-rev%20Med.doc 

Below an extract of my main comments: 

(1) A proposal to rationalize the discussion and ease progressing the spec is to clearly call that a network slice can be defined as a collection of at least three components: (1) connectivity component, (2) storage component, and (3) compute component. Having a provision for this since early stages of the model will ease grafting other components of an IETF slice easily, but also allows to avoid having a linear model.

(2) For the connectivity part, the following items are important to cover as well:
* Traffic steering and advanced services: a slice may require the invocation of service functions (firewall, for example) in a given order. These policies have to be captured in the slice request. This is also useful when the customer request that its slice should not cross some networks or not span some regions. 
* What to do for out of profile traffic: See the traffic conformance discussion in RFC7297. 
* Activation means: may need to be included in a slice definition. Think about a slice that can be implemented as a VPN service. Such service may require the activation of a given routing protocol between a CE and a PE, otherwise the service won’t be offered. 
* Invocation means: Think about a multicast service that requires IGMP/MLD and so on.
* Notification means: these are important for service assurance and fulfillment purposes.

(3) The model seems to be inspired from the opsawg vpn I-Ds (network-access structure, for example). That's great and appreciated, but I would formalize that by using I-D.ietf-opsawg-vpn-common for data nodes such as connectivity-type, endpoint-role, status-params, etc. 

(4) One last comment, I still don't get what is an "underlay IETF network".

Thank you. 

Cheers,
Med

> -----Message d'origine-----
> De : Teas [mailto:[email-masked]] De la part de Wubo (lana) 
> Envoyé : vendredi 9 juillet 2021 12:18 À : [email-masked] Cc :
> [email-masked] Objet : Re: [Teas] New Version Notification for
> draft-wd-teas-ietf- network-slice-nbi-yang-03.txt
> 
> Dear WG and chairs,
> 
> The draft has been aligned with changes in the IETF Network Slice 
> framework WG I-D.
> 
> The Authors believe that it has been maturing with the inputs from the 
> WG, and can be evaluated as a candidate for WG adoption.
> Diff: https://www.ietf.org/rfcdiff?url2=draft-wd-teas-ietf-network-
> slice-nbi-yang-03
> 
> Best regards,
> Bo (on behalf of the co-authors)
> 
> 
> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]]
> 发送时间: 2021年7月9日 17:32
> 收件人: Wubo (lana) <[email-masked]>; Dhruv Dhody 
> <[email-masked]>; Liuyan Han <[email-masked]>; Reza 
> Rokui <[email-masked]>; Tarek Saad <[email-masked]>
> 主题: New Version Notification for draft-wd-teas-ietf-network-slice- 
> nbi-yang-03.txt
> 
> 
> A new version of I-D, draft-wd-teas-ietf-network-slice-nbi-yang-
> 03.txt
> has been successfully submitted by Bo Wu and posted to the IETF 
> repository.
> 
> Name:		draft-wd-teas-ietf-network-slice-nbi-yang
> Revision:	03
> Title:		A Yang Data Model for IETF Network Slice NBI
> Document date:	2021-07-09
> Group:		Individual Submission
> Pages:		45
> URL:            https://www.ietf.org/archive/id/draft-wd-teas-ietf-
> network-slice-nbi-yang-03.txt
> Status:         https://datatracker.ietf.org/doc/draft-wd-teas-ietf-
> network-slice-nbi-yang/
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-wd-teas-
> ietf-network-slice-nbi-yang
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-wd-teas-
> ietf-network-slice-nbi-yang-03
> 
> Abstract:
>    This document provides a YANG data model for the IETF Network Slice
>    Controller (NSC) Northbound Interface (NBI).  The model can be used
>    by a IETF Network Slice customer to request configuration, and
>    management IETF Network Slice services from the IETF NSC.
> 
> 
> 
> 
> The IETF Secretariat
> 
> 
> _______________________________________________
> Teas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/teas

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

_______________________________________________
Teas mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/teas
_______________________________________________
Teas mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/teas

---

From: "Wubo (lana)" <[email-masked]>
Date: Thu, 15 Jul 2021 11:14:53 +0000

Hi Med,

Thanks for the reply. Please see inline.

Regards,
Bo

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 
发送时间: 2021年7月13日 15:08
收件人: Wubo (lana) <[email-masked]>; [email-masked]
主题: RE: New Version Notification for draft-wd-teas-ietf-network-slice-nbi-yang-03.txt

Hi Bo, 

Please see inline.

Cheers,
Med

> Envoyé : lundi 12 juillet 2021 12:05 À : BOUCADAIR Mohamed INNOV/NET 
> <[email-masked]>; [email-masked] Objet : Re: [Teas] New 
> Version Notification for draft-wd-teas-ietf- 
> Hi Med,
> Many thanks for your valuable review and comments. It is not the 
> intention to ignore your suggestion. We will address the comments in 
> the next revision.
> Please see inline for the detailed answer with [Bo].
> 
> Best regards,
> Bo
> 
> 
> -----邮件原件-----
> 发件人: [email-masked]
> [mailto:[email-masked]]
> 发送时间: 2021年7月9日 20:06
> 收件人: Wubo (lana) <[email-masked]>; [email-masked]
> 抄送: [email-masked]
> 主题: RE: New Version Notification for draft-wd-teas-ietf-network- 
> slice-nbi-yang-03.txt
> 
> Hi Bo, all,
> 
> I'm supportive of this work, but I think we have a fundamental point 
> to clarify: the document is currently missing data nodes that makes a 
> slice, a slice!
> 
> If we don't have such data nodes, the current module can be used to 
> provision any form of connectivity. If we omit the "ns-" prefix, the 
> module can be used for provisioning the connectivity of VoIP, 
> multicast, etc. services. That’s actually good (as the applicability 
> scope is wider) but we need also to think about network slice 
> specifics.
> 
> I have touched on some of these points in a review I shared with you 
> back in 02/21, but unless I'm mistaken I don't think it was
> addressed:
> https://github.com/boucadair/IETF-Drafts-Reviews/raw/master/draft-
> wd-teas-ietf-network-slice-nbi-yang-02-rev%20Med.doc
> 
> (1) A proposal to rationalize the discussion and ease progressing the 
> spec is to clearly call that a network slice can be defined as a 
> collection of at least three components: (1) connectivity component,
> (2) storage component, and (3) compute component. Having a provision 
> for this since early stages of the model will ease grafting other 
> components of an IETF slice easily, but also allows to avoid having a 
> linear model.
> [Bo]: I think this comment relates with the thread discussion of SFC

[Med] Not only. This is important as we are modelling a slice not any connectivity service. We need to make sure slice specifics are covered and that the structure can evolve to cover all future slice components.  

If there are no slice specifics, we just need to cast the module as a general connectivity service module. Slicing will be one use case. 
[Bo] Thanks. I see your point. The current model does covers only slice connectivity services. How about the following changes:
OLD definition of an IETF network slice in section 4: 
An IETF network slice is a logical network connecting a number of endpoints with specified SLOs.
The connectivity type can be Hub-and-Spoke, any-to-any, or custom connectivity type. A minimum set of SLOs is defined, including but not limited to bandwidth, latency, and etc.

New: 
   An IETF Network Slice is a logical network topology connecting a number of endpoints using a set of shared or dedicated network
   resources that are used to satisfy specific service requirements. The logical topology types are: point-to-point, point-to-multipoint,
   multipoint-to-point, or multipoint-to-multipoint. The endpoints are conceptual points that could map to a device, application or a network
   function. And the specific service requirements, typically expressed as bandwidth, latency, latency variation, and other desired or required 
   characteristics, such as security, MTU, traffic-type (e.g., IPv4, IPv6, Ethernet or unstructured) or a higher-level behavior to process traffic according to user-application (which may be realized using network function).

> and slicing. If my understanding is correct, we will add this when WG 
> decides the SF aware network slice is within the scope of draft- 
> ietf-teas-ietf-network-slices. But based on the discussion, I am 
> afraid that someone would suggest a separate YANG model for this.
> 
> * Traffic steering and advanced services: a slice may require the 
> invocation of service functions (firewall, for example) in a given 
> order. These policies have to be captured in the slice request. This 
> is also useful when the customer request that its slice should not 
> cross some networks or not span some regions.
> [Bo] Thanks. If I understand correctly, we will add SLE(Service Level 
> Expectation)-specific steering policies applied per slice or per slice 
> connection. Are there any other modelling suggestion?

[Med] That would be a first approach, but what is important is have a provision for this in the module. A kind if information model can be seen at rfc7297.html#section-4.

One aside note: I don't think we need to overload our design with SLO/SLEs subtleties. We just need to call these service requirements or something similar. I'm still waiting for a follow-up from Adrian on this as this point is related to the framework draft. 

[Bo] How about modelling like this:
OLD:
+--rw slo-policy
|  +--rw policy-description?   string
|  +--rw ns-metric-bounds
|     +--rw ns-metric-bound* [metric-type]
|        +--rw metric-type          identityref
|        +--rw metric-unit          string
|        +--rw value-description?   string
|        +--rw bound?               uint64
+--rw sle-policies
   +--rw security-sle*          identityref
   +--rw isolation?             identityref
   +--rw max-occupancy-level?   uint8
NEW:
+--rw slo-sle-policy
   +--rw policy-description?     string
   +--rw ns-metric-bounds
   |  +--rw ns-metric-bound* [metric-type]
   |     +--rw metric-type          identityref
   |     +--rw metric-unit          string
   |     +--rw value-description?   string
   |     +--rw bound?               uint64
   +--rw security-sle*           identityref
   +--rw isolation?              identityref
   +--rw max-occupancy-level?    uint8
   +--rw mtu      uint16     ------------new leaf
   +--rw steering-constraints  ------------new container
      +--rw path-constraints
      +--rw service-function
Note: The definition of "slo-sle-policy" and "steering-constraints" will be updated when WG converge on the terms. 
> [Bo] I'm not sure I understand this. Do you mean that MTU attributes 
> should be included?

[Med] MTU is related to the conformance traffic. It should be included because a slice may be tweak for specific data lengths.

Some shaping/policing may be agreed for the conforming traffic, however the slice request can include the agreed behavior for out-of-profile. Such traffic can be redirected to another slice, discarded, etc. 
[Bo] Please see YANG tree of the previous reply for the MTU. About shaping/policing for the conforming traffic, could you elaborate or suggest how to model this?

> 
> * Activation means: may need to be included in a slice definition.
> Think about a slice that can be implemented as a VPN service. Such 
> service may require the activation of a given routing protocol between 
> a CE and a PE, otherwise the service won’t be offered.
> [Bo] I do agree. Current YANG model has a container of "ep-protocol"
> under "ns-endpoint", and also previous revision of the model had nodes 
> of "BGP" and "static routing". But there is some arguments that some 
> scenarios, for example, optical networks don't need these nodes.

[Med] BGP or static routing are good example of activation means. Other attachment circuit specific technologies can be included.  
[Bo] How about the updates like this:
+--rw ep-protocol
	+--rw bgp
	|  +--rw bgp-peer-ipv4*   inet:ipv4-prefix
	|  +--rw bgp-peer-ipv6*   inet:ipv6-prefix
	+--rw static
	|   +--rw static-route-ipv4*   inet:ipv4-prefix
	|   +--rw static-route-ipv6*   inet:ipv6-prefix  
	+--rw multicast
Note: The model needs to be optimized for better extension of other protocols or AC technologies. 
> [Bo] Is this similar with the previous one that you suggest to add 
> IGMP/MLD nodes under "ns-endpoint"?

[Med] Invocation means are distinct from the activation: You may have a multicast slice that is in place, but in order to access some specific channels or (S,G), the CE will need to send specific queries within the slice itself (MLD, for example). 
[Bo] Understood. I add a place holder for multicast and a note for further improvement.
> [Bo] Yes. The current model includes network slice, endpoint, and 
> connection status. Do you think there are other nodes that are 
> necessary?
> 

[Med] What I had in mind is more notifications to the slice customer. 
[Bo] We will add a note "More critical events affecting service delivery need to be added.".
> 
> (3) The model seems to be inspired from the opsawg vpn I-Ds 
> (network-access structure, for example). That's great and appreciated, 
> but I would formalize that by using I-D.ietf-opsawg- vpn-common for 
> data nodes such as connectivity-type, endpoint-role, status-params, 
> etc.
> Bo: Yes. VPN is one of important technologies of realizing network 
> slice. But there are some discussions that VPN is not mandatory to 
> realize network slice, e.g. optical mechanism could be used.
> Therefore we don't reuse the YANG nodes defined in I-D.ietf-opsawg- 
> vpn-common.

[Med] The types in the common I-D are more generic than the te-types as they can be applied for service requests :-) You may at least cite it in the text and explain that you prefer to copy some data nodes rather than importing them. That would be fair.  
[Bo] Agree. Will update to add reference to common I-D and a note of "Reuse the common I-D type definition".
> Bo: Thanks for pointing this out. Will remove 'underlay'.
> 

[Med] I actually have an issue with "IETF network" :-)
[Bo] Understood. We can change to "provider network" if there are no objections.

> ____________________________________________________________________
> _____________________________________________________
> 
> Ce message et ses pieces jointes peuvent contenir des informations 
> confidentielles ou privilegiees et ne doivent donc pas etre diffuses, 
> exploites ou copies sans autorisation. Si vous avez recu ce message 
> par erreur, veuillez le signaler a l'expediteur et le detruire ainsi 
> que les pieces jointes. Les messages electroniques etant susceptibles 
> d'alteration, Orange decline toute responsabilite si ce message a ete 
> altere, deforme ou falsifie. Merci.
> 
> This message and its attachments may contain confidential or 
> privileged information that may be protected by law; they should not 
> be distributed, used or copied without authorisation.